petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSRHSJacobianTest

Compares the multiply routine provided to the MATSHELL with differencing on the TS given RHS function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSRHSJacobianTest(TS ts,PetscBool *flg)

Logically Collective on TS

### Input Parameters

TS - the time stepping routine

### Output Parameter

flg -PETSC_TRUE if the multiply is likely correct

### Options Database

. -ts_rhs_jacobian_test_mult -mat_shell_test_mult_view - run the test at each timestep of the integrator

### Notes

This only works for problems defined only the RHS function and Jacobian NOT IFunction and IJacobian

### See Also

MatCreateShell(), MatShellGetContext(), MatShellGetOperation(), MatShellTestMultTranspose(), TSRHSJacobianTestTranspose()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages